Subject: Re: bug#18265: 24.3.92; lisp-completion-at-point should return nil in comments, unless after `

From: Dmitry Gutov <[email-masked]>
Date: Fri, 19 Sep 2014 07:56:12 +0400

Version: 24.5

On 08/16/2014 10:00 PM, Stefan Monnier wrote:

> While it's "counter to the c-a-p-f interface", the need to combine
> several backends is sufficiently common that we need to support it somehow.
>
> I hope a "merge" solution can use a less hackish solution than the
> current ":exclusive no".

I'm not convinced with this approach. At least, AFAICS, different users 
prefer to merge different backends together. For instance, some 
https://github.com/iquiw/company-ghc users like to merge its results 
with the plain company-dabbrev-code. Some, I believe, don't.

If the completion function gets to decide that, it would be harder for 
users to customize.

>> And anyway, it doesn't seem to help with the distinction between manual and
>> idle completion,
>
> Indeed, it's a largely orthogonal issue.

I've installed the in-string-or-comment piece of logic that's been 
missing compared to company-elisp, so this bug should be settled.

The distinction between manual and idle completion doesn't seem to be 
very useful here, so let's leave that until there's a definite demand 
for it.